// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(java.util);
importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.helpers);
importPackage(Packages.com.silverwrist.venice.ui.view);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

if (!(comm.canSendInvitation()))
{ // you can't send an invitation
  vlib.output(new ErrorBox("Community Error","You are not permitted to send an invitation.",
                           "community/" + comm.alias));
  vlib.done();

} // end if

locator = "cc=" + comm.communityID;
if ("GET"==rinput.verb)
{ // set up the invitation screen parameters
  rinput.setRequestAttribute("invitation.title","Send Community Invitation:");
  rinput.setRequestAttribute("invitation.subtitle",comm.name);
  rinput.setRequestAttribute("invitation.action",rinput.formatURL("comm/invite.js.vs",LinkTypes.SERVLET));
  rinput.setRequestAttribute("invitation.params",
                             "<INPUT TYPE=\"HIDDEN\" NAME=\"cc\" VALUE=\"" + comm.communityID + "\">");

  // create the invitation and display it
  view = new JSPView("Send Invitation","comm/invite.jsp");
  view.menuSelector = Content.MENU_SELECTOR_COMMUNITY;
  view.pageQID = "comm/invite.js.vs?" + locator;
  vlib.output(view);
  vlib.done();

} // end if

if (rinput.isImageButtonClicked("cancel"))
{ // bounce back to the base page
  vlib.output(new Redirect("comm/show.js.vs?" + locator,LinkTypes.SERVLET));
  vlib.done();

} // end if

rc = null;
if (rinput.isImageButtonClicked("send"))
{ // do the actual send!
  try
  { // send out the invitation and then redirect back
    comm.sendInvitation(rinput.getParameter("addr"),rinput.getParameter("pb"));
    rc = new Redirect("comm/show.js.vs?" + locator,LinkTypes.SERVLET);

  } // end try
  catch (e)
  { // exception sending the invitation
    etype = vlib.exceptionType(e) + "";
    if (etype.match("AccessError"))
      rc = new ErrorBox("Access Error",e.message,"comm/show.js.vs?" + locator);
    else if (etype.match("DataException"))
      rc = new ErrorBox("Database Error","Database error sending invitation: " + e.message,
                        "comm/show.js.vs?" + locator);
    else if (etype.match("EmailException"))
      rc = new ErrorBox("E-Mail Error","Error sending E-mail: " + e.message,"comm/show.js.vs?" + locator);
    else
      rc = e;

  } // end catch

} // end if
else
{ // no known button pressed
  logger.error("no known button click on POST to comm/invite.js");
  rc = new ErrorBox("Internal Error","Unknown command button pressed","comm/show.js.vs?" + locator);

} // end else

vlib.output(rc);
