// The contents of this file are subject to the Mozilla Public License Version 1.1
// (the "License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
// 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
// WARRANTY OF ANY KIND, either express or implied. See the License for the specific
// language governing rights and limitations under the License.
// 
// The Original Code is the Venice Web Communities System.
// 
// The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
// for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
// Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
// 
// Contributor(s): 

importPackage(Packages.com.silverwrist.venice.core);
importPackage(Packages.com.silverwrist.venice.except);
importPackage(Packages.com.silverwrist.venice.ui);
importPackage(Packages.com.silverwrist.venice.ui.conf);
importPackage(Packages.com.silverwrist.venice.ui.helpers);

// get the request object and the community
rinput = bsf.lookupBean("request");
comm = rinput.getCommunity(true,"top.js.vs");

// get the current conference
currc = new CurrentConference(rinput);
conf = currc.getConference(true,"conf/manage_conf.js.vs?cc=" + comm.communityID);

rc = null;
try
{ // the dreaded fixseen :-)
  conf.fixSeen();

  // don't change the current view
  rc = new NullResponse();

} // end try
catch (e)
{ // error resetting the pseud
  etype = vlib.exceptionType(e) + "";
  if (etype.match("DataException"))
    rc = new ErrorBox("Database Error","Database error catching up conference: " + e.message,
                      "conf/manage_conf.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID);
  else if (etype.match("AccessError"))
    rc = new ErrorBox("Access Error",e.message,
                      "conf/manage_conf.js.vs?cc=" + comm.communityID + "&conf=" + conf.confID);
  else
    rc = e;

} // end catch

vlib.output(rc);  // all done!
