/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.core;

public class UserProperties
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private boolean display_post_pictures;
  private boolean mass_mail_opt_out;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public UserProperties()
  {
    display_post_pictures = false;
    mass_mail_opt_out = false;

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Public getters/setters
   *--------------------------------------------------------------------------------
   */

  public final boolean getDisplayPostPictures()
  {
    return display_post_pictures;

  } // end getDisplayPostPictures

  public final void setDisplayPostPictures(boolean b)
  {
    display_post_pictures = b;

  } // end setDisplayPostPictures

  public final boolean getMassMailOptOut()
  {
    return mass_mail_opt_out;

  } // end getMassMailOptOut

  public final void setMassMailOptOut(boolean b)
  {
    mass_mail_opt_out = b;

  } // end setMassMailOptOut

} // end class UserProperties
