/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.except;

/**
 * An exception that is commonly thrown when a particular piece of data retrieved from the user is
 * not valid.
 *
 * @author Eric J. Bowersox &lt;erbo@silcom.com&gt;
 * @version X
 */
public class ValidationException extends VeniceException
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  /**
   * Constructs a new <CODE>ValidationException</CODE>.
   */
  public ValidationException()
  {
    super();

  } // end constructor

  /**
   * Constructs a new <CODE>ValidationException</CODE> with a text message.
   *
   * @param msg The message to set in this exception.
   */
  public ValidationException(String msg)
  {
    super(msg);

  } // end constructor

  /**
   * Constructs a new <CODE>ValidationException</CODE> wrapping another exception.
   *
   * @param inner The exception wrapped by this one.
   */
  public ValidationException(Throwable inner)
  {
    super(inner);

  } // end constructor

  /**
   * Constructs a new <CODE>ValidationException</CODE> wrapping another exception.
   *
   * @param msg The message to set in this exception.
   * @param inner The exception wrapped by this one.
   */
  public ValidationException(String msg, Throwable inner)
  {
    super(msg,inner);

  } // end constructor

} // end class ValidationException
