/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.svc;

import java.util.Set;
import com.silverwrist.venice.core.ServiceGroup;
import com.silverwrist.venice.core.ServiceToken;

public interface ServiceControl extends ServiceGroup
{
  public abstract Set getAllServices(int group);

  public abstract Set getDefaultServices(int group);

  public abstract Service getServiceForSymbol(int group, String sym);

  public abstract Service getServiceForToken(ServiceToken token);

  public abstract ServiceToken getTokenForIndex(int group, int ndx);

  public abstract ServiceToken getTokenForSymbol(int group, String sym);

} // end interface ServiceControl
