/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.conf.jsp;

import java.io.IOException;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import com.silverwrist.venice.ui.*;

public class PostAttachTag extends VeniceConfTagSupport
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private String name = null;
  private String value = null;

  /*--------------------------------------------------------------------------------
   * Overrides from class TagSupport
   *--------------------------------------------------------------------------------
   */

  public int doStartTag() throws JspException
  {
    if (name==null)
      throw new JspTagException("<post:attach/> name= attribute not specified!");
    PostBoxTag postbox = (PostBoxTag)findAncestorWithClass(this,PostBoxTag.class);
    if (postbox==null)
      throw new JspTagException("<post:attach/> tag must be within a <post:box/> tag!");
    postbox.setAttach(name,(value!=null));
    return SKIP_BODY;

  } // end doStartTag

  public void release()
  {
    super.release();
    name = null;
    value = null;

  } // end release

  /*--------------------------------------------------------------------------------
   * Attribute set functions
   *--------------------------------------------------------------------------------
   */

  public void setName(String v)
  {
    name = v;

  } // end setName

  public void setValue(String v)
  {
    value = v;

  } // end setValue

} // end class PostAttachTag
