/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.conf.jsp;

import javax.servlet.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import com.silverwrist.venice.core.*;
import com.silverwrist.venice.ui.*;
import com.silverwrist.venice.ui.conf.*;
import com.silverwrist.venice.ui.jsp.VeniceTagSupport;

public class VeniceConfTagSupport extends VeniceTagSupport
{
  /*--------------------------------------------------------------------------------
   * Internal operations
   *--------------------------------------------------------------------------------
   */

  protected final CurrentConference getCC() throws JspException
  {
    try
    { // call through and get it
      return CurrentConference.get(pageContext.getRequest());

    } // end try
    catch (ServletException e)
    { // convert the exception type 
      throw new JspTagException(e.getMessage());

    } // end catch

  } // end getCC

  protected final ConferenceContext getConference() throws JspException
  {
    return getCC().getConference();

  } // end getConference

  protected final TopicContext getTopic() throws JspException
  {
    return getCC().getTopic();

  } // end getTopic

} // end class VeniceConfTagSupport
