/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.helpers;

import java.io.InputStream;
import java.io.IOException;
import com.silverwrist.venice.core.BinaryData;
import com.silverwrist.venice.except.DataException;
import com.silverwrist.venice.ui.ContentExecute;
import com.silverwrist.venice.ui.LinkTypes;
import com.silverwrist.venice.ui.RequestExec;

public class BinaryDataContent extends ThrowableContent implements ContentExecute
{
  /*--------------------------------------------------------------------------------
   * Attributes
   *--------------------------------------------------------------------------------
   */

  private BinaryData data;
  private InputStream stm;

  /*--------------------------------------------------------------------------------
   * Constructor
   *--------------------------------------------------------------------------------
   */

  public BinaryDataContent(BinaryData data) throws DataException
  {
    super();
    this.data = data;
    this.stm = data.getData();

  } // end constructor

  /*--------------------------------------------------------------------------------
   * Implementations from interface ContentExecute
   *--------------------------------------------------------------------------------
   */

  public void execute(RequestExec req) throws IOException
  {
    req.sendBinary(data.getMIMEType(),data.getFilename(),data.getLength(),stm);

  } // end execute

} // end class BinaryDataContent

