/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.ui.jsp;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import com.silverwrist.venice.ui.*;
import com.silverwrist.venice.ui.servlet.RequestImpl;

public class VeniceTagSupport extends TagSupport
{
  /*--------------------------------------------------------------------------------
   * Internal operations
   *--------------------------------------------------------------------------------
   */

  protected final Content getContent()
  {
    return (Content)(pageContext.getAttribute(RequestImpl.REQUEST_CONTENT,PageContext.REQUEST_SCOPE));

  } // end getContent

  protected final RequestInput getRequestInput()
  {
    return (RequestInput)(pageContext.getAttribute(RequestImpl.REQUEST_INPUT,PageContext.REQUEST_SCOPE));

  } // end getRequestInput

  protected final RequestOutput getRequestOutput()
  {
    return (RequestOutput)(pageContext.getAttribute(RequestImpl.REQUEST_OUTPUT,PageContext.REQUEST_SCOPE));

  } // end getRequestOutput

} // end class VeniceTagSupport
