<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%@ taglib uri="/tlds/topic" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
  final List data = (List)(view.getRequestAttribute("conference.activity.list"));
  final boolean poster_report =
      ((Boolean)(view.getRequestAttribute("conference.activity.posters"))).booleanValue();
%>
<util:header>
  <util:title><%= view.getRequestAttribute("conference.activity.title").toString() %></util:title>
  <util:subtitle><%= view.getRequestAttribute("conference.activity.subtitle").toString() %></util:subtitle>
</util:header>

<util:font color="content.fg" size="content"><util:xlink>
  <util:href type="servlet">conf/conf_reports.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
  <util:text>Return to Conference Reports Menu</util:text>
</util:xlink></util:font><P>

<% if (data.size()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=6>
    <TR VALIGN=TOP>
      <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        <B><U>User Name</U></B>
      </util:font></TH>
      <% if (poster_report) { %>
        <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <B><U>Last Posted</U></B>
        </util:font></TH>
        <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <B><U>Last Read</U></B>
        </util:font></TH>
      <% } else { %>
        <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <B><U>Last Read</U></B>
        </util:font></TH>
        <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <B><U>Last Posted</U></B>
        </util:font></TH>
      <% } // end if %>
    </TR>

    <% Iterator it = data.iterator(); %>
    <% while (it.hasNext()) { %>
      <% ActiveUser usr = (ActiveUser)(it.next()); %>
      <TR VALIGN=TOP>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <util:xlink target="_blank">
            <util:href type="servlet">user/<%= usr.getName() %></util:href>
            <util:text><%= usr.getName() %></util:text>
          </util:xlink>
        </util:font></TD>

        <% if (poster_report) { %>
          <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
            <util:escape><%= view.formatDate(usr.getLastWrite()) %></util:escape>
          </util:font></TD>
          <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
            <% if (usr.getLastRead()==null) { %>
              Never
            <% } else { %>
              <util:escape><%= view.formatDate(usr.getLastRead()) %></util:escape>
            <% } // end if %>
          </util:font></TD>
        <% } else { %>
          <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
            <util:escape><%= view.formatDate(usr.getLastRead()) %></util:escape
          </util:font></TD>
          <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
            <% if (usr.getLastWrite()==null) { %>
              Never
            <% } else { %>
              <util:escape><%= view.formatDate(usr.getLastWrite()) %></util:escape>
            <% } // end if %>
          </util:font></TD>
        <% } // end if %>
      </TR>
    <% } // end while %>
  </TABLE>
<% } else { %>
  <util:font color="content.fg" size="content"><EM>
    <%= view.getRequestAttribute("conference.activity.nullmessage").toString() %>
  </EM></util:font>
<% } // end if %>
