<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.menus.MenuComponent" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
  List aliases = (List)(view.getRequestAttribute("conference.aliases.list"));
%>
<util:comment>Managing aliases for conference "<conf:name/>"</util:comment>
<util:header title="Managing Conference Aliases:">
  <util:subtitle><conf:name/></util:subtitle>
</util:header>

<util:font color="content.fg" size="content">
  <util:xlink>
    <util:href type="servlet">conf/manage_conf.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
    <util:text>Return to Manage Conference Menu</util:text>
  </util:xlink>

  <% Object errmsg = view.getRequestAttribute("conference.aliases.error_message"); %>
  <% if (errmsg!=null) { %>
<util:font color="error" size="content"><B><util:escape><%= errmsg.toString() %></util:escape></B></util:font>
    <P>
  <% } // end if %>

  <FONT SIZE=+1><B>Current Aliases:</B></FONT><P>
  <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=3>
    <% Iterator it = aliases.iterator(); %>
    <% while (it.hasNext()) { %>
      <% String name = (String)(it.next()); %>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=CENTER><util:stdbullet/></TD>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <util:escape><%= name %></util:escape>
        </util:font></TD>
        <TD ALIGN=LEFT>&nbsp;&nbsp;&nbsp;&nbsp;</TD>
        <TD ALIGN=LEFT CLASS="content">
          <% if (aliases.size()>1) { %>
            <util:xlink>
              <util:href type="servlet">conf/alias_remove.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&alias=<util:urlencode><%= name %></util:urlencode></util:href>
              <util:text><util:button id="remove"/></util:text>
            </util:xlink>
          <% } else { %>&nbsp;<% } %>
        </TD>
      </TR>
    <% } // end while %>
  </TABLE><P>

  <FONT SIZE=+1><B>Add New Alias:</B></FONT><P>
  <util:form action="conf/alias_add.js.vs" type="servlet"><DIV CLASS="content">
    <INPUT TYPE="HIDDEN" NAME="cc" VALUE="<comm:ID/>">
    <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<conf:ID/>">
    <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="alias" SIZE=32 MAXLENGTH=64
                                VALUE=""></SPAN>&nbsp;
    <util:button id="add" type="input"/>
  </DIV></util:form>
</util:font>