<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView view = JSPView.get(request);
  List hotlist = (List)(view.getRequestAttribute("user.conf.hotlist"));
%>
<util:comment>User conference hotlist</util:comment>
<util:header title="Your Conference Hotlist"/>
<util:font color="content.fg" size="content">
  <util:link href="top.js.vs" type="servlet">Return to Front Page</util:link>
</util:font><P>

<% if (hotlist.size()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=3>
    <% for (int i=0; i<hotlist.size(); i++) { %>
      <% ConferenceContext conf = ((ConferenceHotlistEntry)(hotlist.get(i))).getConference(); %>
      <% CommunityContext comm = conf.getEnclosingCommunity(); %>
      <TR VALIGN=MIDDLE>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==(hotlist.size()-1)) { %>&nbsp;<% } else { %>
            <util:xlink>
              <util:href type="servlet">conf/hotlist_move.js.vs?ndx=<%= i %>&ndx2=<%= i+1 %></util:href>
              <util:text><util:image src="icn_down.gif" fixup="true" alt="[Down]" width="16"
                                     height="16"/></util:text>
            </util:xlink>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==0) { %>&nbsp;<% } else { %>
            <util:xlink>
              <util:href type="servlet">conf/hotlist_move.js.vs?ndx=<%= i %>&ndx2=<%= i-1 %></util:href>
              <util:text><util:image src="icn_up.gif" fixup="true" alt="[Up]" width="16"
                                     height="16"/></util:text>
            </util:xlink>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16><util:xlink>
          <util:href type="servlet">conf/hotlist_delete.js.vs?ndx=<%= i %></util:href>
          <util:text><util:image src="icn_x.gif" fixup="true" alt="[Remove]" width="16"
                                 height="16"/></util:text>
        </util:xlink></TD>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <B><util:escape><%= conf.getName() %></util:escape></B>
          (<util:escape><%= comm.getName() %></util:escape>)
        </util:font></TD>
      </TR>
    <% } // end for %>
  </TABLE><P>

  <TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_down.gif" fixup="true" alt="[Down]" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to move the specified conference down in your hotlist.
      </util:font></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_up.gif" fixup="true" alt="[Up]" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to move the specified conference up in your hotlist.
      </util:font></TD>
    </TR>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_x.gif" fixup="true" alt="[Remove]" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to remove the specified conference from your hotlist.
      </util:font></TD>
    </TR>
  </TABLE>
<% } else { %>
  <util:font color="content.fg" size="content"><EM>
    You have no conferences in your conference hotlist.  You can add conferences to your hotlist
    by visiting the conferences and pressing the "Add to Hotlist" button.
  </EM></util:font>
<% } // end if %>