<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.menus.MenuComponent" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>Managing conference "<conf:name/>"</util:comment>
<util:header title="Manage Conference:">
  <util:subtitle><conf:name/></util:subtitle>
</util:header>

<util:font color="content.fg" size="content"><util:xlink>
  <util:href type="servlet">conf/topics.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
  <util:text>Return to Topic List</util:text>
</util:xlink></util:font><P>

<util:comment>Set Default Pseud Form</util:comment>
<util:form action="conf/set_pseud.js.vs" type="servlet"><DIV CLASS="content">
  <INPUT TYPE="HIDDEN" NAME="cc" VALUE="<comm:ID/>">
  <INPUT TYPE="HIDDEN" NAME="conf" VALUE="<conf:ID/>">
  <util:font color="content.fg" size="content">
    Set default pseud for conference: 
    <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="pseud" VALUE="<conf:default_pseud/>"
                                SIZE=37 MAXLENGTH=255></SPAN>&nbsp;
    <util:button id="set" type="input"/>
  </util:font>
</DIV></util:form><P>

<util:comment>Fixseen Link</util:comment>
<util:font color="content.fg" size="content"><B><util:xlink>
  <util:href type="servlet">conf/fixseen.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
  <util:text>Mark entire conference as read (fixseen)</util:text>
</util:xlink></B></util:font><P>&nbsp;<P>

<conf:can_send_invite>
  <util:comment>Invitation Section</util:comment>
  <util:header title="Send Invitation"/>
  <util:font color="content.fg" size="content">
    You may send an invitation via E-mail to outside individuals to join this community and
    read this conference.<P>
    <B><util:xlink>
      <util:href type="servlet">conf/invite_conf.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
      <util:text>Click here to send an invitation</util:text>
    </util:xlink></B>
  </util:font><P>&nbsp;<P>
</conf:can_send_invite>

<% MenuComponent mc = (MenuComponent)(view.getRequestAttribute("conference.host.tools.menu")); %>
<% if (mc!=null) { %>
  <util:comment>Host Tools Section</util:comment>
  <% mc.render(JSPView.getRequestOutput(request),out); %>
<% } // end if %>
