<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
  List confs = (List)(view.getRequestAttribute("conference.list"));
  final int[] a_prev = (int[])(view.getRequestAttribute("conference.prev.array"));
  final int[] a_next = (int[])(view.getRequestAttribute("conference.next.array"));
  final boolean[] a_hidden = (boolean[])(view.getRequestAttribute("conference.hidden.array"));
%>
<util:comment>Manage conference list for community "<comm:name/>"</util:comment>
<util:header title="Manage Conference List">
  <util:subtitle>Community: <comm:name/></util:subtitle>
</util:header>

<util:font color="content.fg" size="content">
  <util:xlink>
    <util:href type="servlet">conf/conferences.js.vs?cc=<comm:ID/></util:href>
    <util:text>Return to Conference List</util:text>
  </util:xlink>
</util:font><P>

<% if (confs.size()>0) { %>
  <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=2>
    <% for (int i=0; i<confs.size(); i++) { %>
      <% ConferenceContext conf = (ConferenceContext)(confs.get(i)); %>
      <TR VALIGN=TOP>
        <TD ALIGN=CENTER WIDTH=16>
          <util:xlink>
          <% if (a_hidden[i]) { %>
            <util:href type="servlet">conf/manage_list_sethide.js.vs?cc=<comm:ID/>&conf=<%= conf.getConfID() %>&flag=0</util:href>
            <util:text><util:image src="icn_off.gif" fixup="true" alt="Hidden (toggle)" width="16"
                                   height="16"/></util:text>
          <% } else { %>
            <util:href type="servlet">conf/manage_list_sethide.js.vs?cc=<comm:ID/>&conf=<%= conf.getConfID() %>&flag=1</util:href>
            <util:text><util:image src="icn_on.gif" fixup="true" alt="Displayed (toggle)" width="16"
                                   height="16"/></util:text>
          <% } // end if %>
          </util:xlink>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==(confs.size()-1)) { %>&nbsp;<% } else { %>
            <util:xlink>
              <util:href type="servlet">conf/manage_list_swap.js.vs?cc=<comm:ID/>&conf=<%= conf.getConfID() %>&other=<%= a_next[i] %></util:href>
              <util:text><util:image src="icn_down.gif" fixup="true" alt="Move Down" width="16"
                                     height="16"/></util:text>
            </util:xlink>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <% if (i==0) { %>&nbsp;<% } else { %>
            <util:xlink>
              <util:href type="servlet">conf/manage_list_swap.js.vs?cc=<comm:ID/>&conf=<%= conf.getConfID() %>&other=<%= a_prev[i] %></util:href>
              <util:text><util:image src="icn_up.gif" fixup="true" alt="Move Up" width="16"
                                     height="16"/></util:text>
            </util:xlink>
          <% } // end if %>
        </TD>
        <TD ALIGN=CENTER WIDTH=16>
          <util:xlink>
            <util:href type="servlet">conf/manage_list_delete.js.vs?cc=<comm:ID/>&conf=<%= conf.getConfID() %></util:href>
            <util:text><util:image src="icn_x.gif" fixup="true" alt="Remove" width="16"
                                   height="16"/></util:text>
          </util:xlink>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          <util:escape><%= conf.getName() %></util:escape>
        </util:font></TD>
      </TR>
    <% } // end for %>
  </TABLE><P>

  <TABLE BORDER=0 CELLPADDING=2 CELLSPACING=0>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_on.gif" fixup="true" alt="Displayed (toggle)" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        This indicates that the conference is displayed in the community's conference list.  Click the symbol
	to hide it.
      </util:font></TD>
    </TR>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_off.gif" fixup="true" alt="Hidden (toggle)" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        This indicates that the conference is hidden in the community's conference list.  Click the symbol
	to display it.
      </util:font></TD>
    </TR>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_down.gif" fixup="true" alt="Move Down" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to move the specified conference down in the community's conference list.
      </util:font></TD>
    </TR>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_up.gif" fixup="true" alt="Move Up" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to move the specified conference up in the community's conference list.
      </util:font></TD>
    </TR>
    <TR VALIGN=TOP>
      <TD ALIGN=CENTER WIDTH=16>
        <util:image src="icn_x.gif" fixup="true" alt="Remove" width="16" height="16"/>
      </TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
        Click this symbol to delete the specified conference.  You will be prompted to confirm this
	action.
      </util:font></TD>
    </TR>
  </TABLE>
<% } else { %>
  <util:font color="content.fg" size="content"><EM>There are no conferences in this community.</EM></util:font>
<% } // end if %>
