<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.menus.MenuComponent" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%@ taglib uri="/tlds/topic" prefix="topic" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>Managing topic #<topic:number/> in conference "<conf:name/>"</util:comment>
<util:header title="Manage Topic:">
  <util:subtitle><topic:name/></util:subtitle>
</util:header>

<util:font color="content.fg" size="content"><util:xlink>
  <util:href type="servlet">conf/posts.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/></util:href>
  <util:text>Return to Topic</util:text>
</util:xlink></util:font><P>

<util:font color="content.fg" size="content">
  <DIV ALIGN="LEFT"><B>Topic Subscription:</B></DIV>
  <topic:subscribed>
    You are currently subscribed to this topic, and will receive all new posts to it via E-mail.<P>
    <B><util:xlink>
      <util:href type="servlet">conf/subscribe_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>&flag=0</util:href>
      <util:text>Click Here to Stop Subscribing To This Topic</util:text>
    </util:xlink></B>
  </topic:subscribed>
  <topic:not_subscribed>
    You are not currently subscribed to this topic.  When you subscribe to a topic, you will receive all new
    posts to that topic via E-mail.<P>
    <B><util:xlink>
      <util:href type="servlet">conf/subscribe_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>&flag=1</util:href>
      <util:text>Click Here to Start Subscribing To This Topic</util:text>
    </util:xlink></B>
  </topic:not_subscribed>
  <P>&nbsp;<P>

  <topic:can_send_invite>
    <util:comment>Invitation Section</util:comment>
    <util:header title="Send Invitation"/>
    <util:font color="content.fg" size="content">
      You may send an invitation via E-mail to outside individuals to join this community and
      read this topic in the conference.<P>
      <B><util:xlink>
        <util:href type="servlet">conf/invite_topic.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/></util:href>
        <util:text>Click Here to send an invitation</util:text>
      </util:xlink></B>
    </util:font><P>&nbsp;<P>
  </topic:can_send_invite>

  <util:comment>Filtered Users Section</util:comment>
  <util:header title="Filtered Users"/>
  <% List bozos = (List)(view.getRequestAttribute("topic.bozos.list")); %>
  <% if (bozos.size()>0) { %>
    <TABLE BORDER=0 ALIGN=CENTER CELLPADDING=0 CELLSPACING=2>
      <% Iterator it = bozos.iterator(); %>
      <% while (it.hasNext()) { %>
        <% UserProfile prof = (UserProfile)(it.next()); %>
        <TR>
          <TD ALIGN=CENTER WIDTH=16><util:xlink>
            <util:href type="servlet">conf/remove_bozo.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<topic:number/>&u=<%= prof.getUID() %></util:href>
          <util:text><util:image src="icn_x.gif" fixup="true" alt="Remove" width="16" height="16"/></util:text>
          </util:xlink></TD>
          <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
            &lt;<util:xlink>
              <util:href type="servlet">user/<%= prof.getUserName() %></util:href>
              <util:text><%= prof.getUserName() %></util:text>
            </util:xlink>&gt;
            <EM><util:escape>(<%= prof.getGivenName() %> <%= prof.getFamilyName() %>)</util:escape></EM>
          </util:font></TD>
        </TR>
      <% } // end while %>
    </TABLE><P>

    <TABLE ALIGN=CENTER BORDER=0 CELLPADDING=2 CELLSPACING=0>
      <TR VALIGN=TOP>
        <TD ALIGN=CENTER WIDTH=16>
          <util:image src="icn_x.gif" fixup="true" alt="Remove" width="16" height="16"/>
        </TD>
        <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
          Click this symbol to cease filtering this user in this topic.
        </util:font></TD>
      </TR>
    </TABLE>
  <% } else { %>
    <DIV ALIGN="CENTER"><EM>No users currently filtered.</EM></DIV>
  <% } // end if %>
</util:font>
