<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%@ taglib uri="/tlds/topic" prefix="topic" %>
<%@ taglib uri="/tlds/post" prefix="post" %>
<%
  JSPView view = JSPView.get(request);
  CurrentConference currc = CurrentConference.get(request);
%>
<util:header title="Previewing Post"/>
<util:font color="content.fg" size="subhead"><B>
  <% final int num_errors = ((Integer)(view.getRequestAttribute("preview.num_errors"))).intValue(); %>
  <% if (num_errors==0) { %>
    Your post did not contain any spelling errors.
  <% } else if (num_errors==1) { %>
    There was 1 spelling error in your post.
  <% } else { %>
    There were <%= num_errors %> spelling errors in your post.
  <% } // end if %>
</B></util:font>
<% String tmp = view.getRequestAttribute("preview.text").toString(); %>
<P><TT><PRE CLASS="post"><post:rewrite><%= tmp %></post:rewrite></PRE></TT><HR>

<% final String next = (String)(view.getRequestAttribute("postbox.hidden.next")); %>
<post:box action="conf/post_message.js.vs" type="servlet">
  <post:param name="cc"><comm:ID/></post:param>
  <post:param name="conf"><conf:ID/></post:param>
  <post:param name="top"><topic:number/></post:param>
  <% if (next!=null) { %>
    <post:param name="next"><%= next %></post:param>
  <% } // end if %>
  <post:param name="sd"><%= view.getRequestAttribute("postbox.hidden.sd") %></post:param>
  <% if (view.getRequestAttribute("postbox.hidden.slip")!=null) { %>
    <post:param name="slip">Y</post:param>
  <% } // end if %>
  <post:pseud name="pseud"><%= view.getRequestAttribute("postbox.pseud") %></post:pseud>
  <% if (view.getRequestAttribute("postbox.attach")!=null) { %>
    <post:attach name="attach" value="true"/>
  <% } else { %>
    <post:attach name="attach"/>
  <% } // end if %>
  <post:text name="pb"><%= view.getRequestAttribute("postbox.data") %></post:text>
  <post:button id="preview"/><post:button id="post"/>
  <% if (next!=null) { %>
    <post:button id="postnext"/>
  <% } // end if %>
  <post:button id="posttopics"/><post:button id="cancel"/>
</post:box>
