<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%
  JSPView view = JSPView.get(request);
%>
<util:comment>Reports for conference "<conf:name/>"</util:comment>
<util:header title="Conference Reports:">
  <util:subtitle><conf:name/></util:subtitle>
</util:header>

<util:font color="content.fg" size="content">
  <util:href type="servlet">conf/manage_conf.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
  <util:text>Return to Manage Conference Menu</util:text>
</util:font><P>

<TABLE ALIGN=CENTER BORDER=0 CELLPADDING=0 CELLSPACING=6>
  <TR VALIGN=MIDDLE>
  <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><B><U>#</U></B></util:font></TH>
  <TH ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><B><U>Topic Name</U></B></util:font></TH>
  <TH ALIGN=LEFT CLASS="content" COLSPAN=2><util:font color="content.fg" size="content"><B><U>Reports</U></B></util:font></TH>
  </TR>
  <TR VALIGN=MIDDLE>
    <TD ALIGN=LEFT>&nbsp;</TD>
    <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">(Entire conference)</util:font></TD>
    <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><util:xlink>
      <util:href type="servlet">conf/poster_report.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
      <util:text>Posters</util:text>
    </util:xlink></util:font></TD>
    <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><util:xlink>
      <util:href type="servlet">conf/lurker_report.js.vs?cc=<comm:ID/>&conf=<conf:ID/></util:href>
      <util:text>Readers/Lurkers</util:text>
    </util:xlink></util:font></TD>
  </TR>

  <%
    List list = (List)(view.getRequestAttribute("conference.reports.topiclist"));
    Iterator it = list.iterator();
  %>
  <% while (it.hasNext()) { %>
    <% TopicContext topic = (TopicContext)(it.next()); %>
    <TR VALIGN=MIDDLE>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><%= topic.getTopicNumber() %></util:font></TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><%= topic.getName() %></util:font></TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><util:xlink>
        <util:href type="servlet">conf/poster_report.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<%= topic.getTopicNumber() %></util:href>
        <util:text>Posters</util:text>
      </util:xlink></util:font></TD>
      <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content"><util:xlink>
        <util:href type="servlet">conf/lurker_report.js.vs?cc=<comm:ID/>&conf=<conf:ID/>&top=<%= topic.getTopicNumber() %></util:href>
        <util:text>Readers/Lurkers</util:text>
      </util:xlink></util:font></TD>
    </TR>
  <% } // end while %>
</TABLE><P>
