<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "java.util.*" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.conf.CurrentConference" %>
<%@ page import = "com.silverwrist.venice.ui.conf.view.PostsView" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%@ taglib uri="/tlds/community" prefix="comm" %>
<%@ taglib uri="/tlds/conference" prefix="conf" %>
<%@ taglib uri="/tlds/topic" prefix="topic" %>
<%@ taglib uri="/tlds/post" prefix="post" %>
<%
  JSPView view = JSPView.get(request);
  CurrentConference currc = CurrentConference.get(request);
%>
<util:comment>Slippage detected in topic ID <topic:ID/></util:comment>
<util:header title="Slippage or Double-Click Detected"/>
<util:font color="content.fg" size="content">
  The following posts slipped in while you were typing.  You may choose to edit your message and
  re-post, just post it as is, or cancel your posting altogether.
</util:font><P>
<% out.flush(); response.flushBuffer(); %>

<util:comment>Begin Slipped Messages</util:comment>
<%
  final List messages = (List)(view.getRequestAttribute("slippage.messages"));
  final String stem = view.getRequestAttribute("slippage.topic_stem").toString();
  Iterator it = messages.iterator();
  while (it.hasNext()) {
    TopicMessageContext msg = (TopicMessageContext)(it.next());
    String poster = PostsView.getPosterName(msg);
  %>
  <util:font color="content.fg" size="content">
    <B><%= msg.getPostNumber() %></B> of <B><topic:last_message/></B>
    <util:font color="content.fg" size="post-reference">&lt;<%= stem %><%= msg.getPostNumber() %>&gt;</util:font><BR>
    <B><%= msg.getPseud() %></B>
    (<EM><util:xlink target="_blank">
      <util:href type="servlet">user/<%= poster %></util:href>
      <util:text><%= poster %></util:text>
    </util:xlink></EM>)
    <%= view.formatDate(msg.getPostDate()) %>
  </util:font><P>
  <% if (msg.isScribbled()) { %>
    <SPAN CLASS="post"><TT><EM><B>
      (Scribbled by <%= PostsView.getMessageBodyText(msg) %> on <%= view.formatDate(msg.getScribbleDate()) %>)
    </B></EM></TT></SPAN>
  <% } else { %>
    <TT><PRE CLASS="post"><post:rewrite><%= PostsView.getMessageBodyText(msg) %></post:rewrite></PRE></TT>
<%
    } // end if
    out.flush();
    response.flushBuffer();
  } // end while
%>
<util:comment>End Slipped Messages</util:comment>

<HR><SPAN STYLE="font-size: 14pt;"><util:font color="content.fg" size="subhead">
  <B>Post Message in &quot;<topic:name/>&quot;:</B>
</util:font></SPAN><BR>

<% final String next = (String)(view.getRequestAttribute("postbox.hidden.next")); %>
<post:box action="conf/post_message.js.vs" type="servlet">
  <post:param name="cc"><comm:ID/></post:param>
  <post:param name="conf"><conf:ID/></post:param>
  <post:param name="top"><topic:number/></post:param>
  <% if (next!=null) { %>
    <post:param name="next"><%= next %></post:param>
  <% } // end if %>
  <post:param name="sd"><%= view.getRequestAttribute("postbox.hidden.sd") %></post:param>
  <post:param name="slip">Y</post:param>
  <post:pseud name="pseud"><%= view.getRequestAttribute("postbox.pseud") %></post:pseud>
  <% if (view.getRequestAttribute("postbox.attach")!=null) { %>
    <post:attach name="attach" value="true"/>
  <% } else { %>
    <post:attach name="attach"/>
  <% } // end if %>
  <post:text name="pb"><%= view.getRequestAttribute("postbox.data") %></post:text>
  <post:button id="preview"/><post:button id="post"/>
  <% if (next!=null) { %>
    <post:button id="postnext"/>
  <% } // end if %>
  <post:button id="posttopics"/><post:button id="cancel"/>
</post:box>
