<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView data = JSPView.get(request);
  UserProfile prof = (UserProfile)(data.getRequestAttribute("profile"));
  String tmp;
%>
<util:comment>Profile for UID #<%= prof.getUID() %></util:comment>
<util:header title="User Profile:" subtitle="<%= prof.getUserName() %>"/>
<TABLE BORDER=0 CELLPADDING=6 CELLSPACING=0><TR VALIGN=TOP>
  <TD ALIGN=LEFT CLASS="c2"><util:font color="content.fg" size="profile-dates">
    <%= data.getRequestAttribute("user.photo") %><BR CLEAR=LEFT><P>
    <% java.util.Date tmpd = prof.getCreateDate(); %>
    <% if (tmpd!=null) { %>
      Account created:<BR><util:escape><%= data.formatDate(tmpd) %></util:escape><BR>
    <% } // end if %>
    <% tmpd = prof.getLastLoginDate(); %>
    <% if (tmpd!=null) { %>
      Last login:<BR><util:escape><%= data.formatDate(tmpd) %></util:escape><BR>
    <% } // end if %>
    <% tmpd = prof.getLastUpdate(); %>
    <% if (tmpd!=null) { %>
      Profile last updated:<BR><util:escape><%= data.formatDate(tmpd) %></util:escape><BR>
    <% } // end if %>
  </util:font></TD>

  <TD ALIGN=LEFT CLASS="content"><util:font color="content.fg" size="content">
    <B><util:escape><%= data.getRequestAttribute("fullname").toString() %></util:escape></B><BR>
    <% tmp = prof.getEmail(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      E-mail: <A HREF="mailto:<%= tmp %>"><util:escape><%= tmp %></util:escape></A><BR>
    <% } // end if %>
    <% tmp = prof.getURL(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      URL: <A HREF="<%= tmp %>" TARGET="Wander"><util:escape><%= tmp %></util:escape></A><BR>
    <% } // end if %><BR>
    <% tmp = prof.getCompany(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getAddressLine1(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getAddressLine2(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = data.getRequestAttribute("address.lastline").toString(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getFullCountry(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getPhone(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Phone: <util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getFax(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Fax: <util:escape><%= tmp %></util:escape><BR><% } %>
    <% tmp = prof.getMobile(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Mobile: <util:escape><%= tmp %></util:escape><BR><% } %>
  </util:font></TD>
</TR></TABLE><BR>

<% tmp = prof.getDescription(); %>
<% if (!(StringUtil.isStringEmpty(tmp))) { %>
  <util:font color="content.fg" size="content"><EM><util:escape><%= tmp %></util:escape></EM></util:font><BR>
<% } // end if %>

<% if (prof.canSendQuickEmail()) { %>
  <HR><util:font color="content.fg" size="content"><B>Send Quick E-Mail To
    <%= prof.getUserName() %>:</B></util:font><BR>
  <util:form action="quick_email.js.vs" type="servlet">
    <INPUT TYPE="HIDDEN" NAME="to_uid" VALUE="<%= prof.getUID() %>">
    <TABLE BORDER=0 CELLPADDING=0>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT CLASS="content">
        <util:font color="content.fg" size="content">Subject: </util:font>
        <SPAN CLASS="cinput"><INPUT TYPE="TEXT" CLASS="cinput" NAME="subj" SIZE=65 MAXLENGTH=255
                                    VALUE=""></SPAN>
      </TD></TR>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT CLASS="cinput">
        <TEXTAREA NAME="pb" WRAP=HARD ROWS=7 COLS=80></TEXTAREA>
      </TD></TR>
      <TR VALIGN=MIDDLE><TD ALIGN=LEFT CLASS="content"><util:button id="send" type="input"/></TR>
    </TABLE>
  </util:form>
<% } // end if %>
